<div class="loading" *ngIf="status_loading">Loading&#8230;</div>
<div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px">Cost & Benefit Analysis</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับ Cost & Benefit Analysis ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <div class="table-warpper">
    <div class="row">
      <div class="col-12">
        <p class="head-detal">Financial</p>
        <hr />
      </div>
      <div style="overflow-x: scroll;width: 100%;">
        <table class="table-financial table">
          <thead>
            <tr>
              <th style="width: 180px;">Financial</th>
              <th style="width: 260px;">รายการ</th>
              <th style="width: 200px;" class="input-head-td">
                <input type="number" class="form-control" [(ngModel)]="stepEight.year[0]"
                  (ngModelChange)="changeYear($event); changeSaveDraft()" />
                <span class="finan-year" *ngIf="stepEight.year[0]">ปี พ.ศ.</span>
              </th>
              <th style="width: 200px;" class="text-center">
                <span>ปี พ.ศ. </span><span>{{ stepEight.year[1] }}</span>
              </th>
              <th style="width: 200px;" class="text-center">
                <span>ปี พ.ศ. </span><span>{{ stepEight.year[2] }}</span>
              </th>
              <th style="width: 100px;"></th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางรายได้ -->
                <table class="table table-sub">
                  <thead>
                    <tr>
                      <th style="width: 180px;">
                        <span>รายได้*</span>
                      </th>
                      <th colspan="4"></th>
                      <th style="width: 100px;">
                        <button class="btn-create-data" (click)="addRow(1)">
                          <img src="assets/img/plus-icon.png" class="add-icon" alt="" />
                          เพิ่มข้อมูล
                        </button>
                      </th>
                    </tr>
                  </thead>
                  <tbody cdkDropList (cdkDropListDropped)="dropIncome($event)">
                    <tr cdkDrag *ngFor="
                        let item of stepEight['costBenefit'].income;
                        index as i
                      " class="heading-padding">
                      <td style="width: 180px;padding-right: 160px;"></td>
                      <td style="position: relative">
                        <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" style="width: 260px" type="text" id="textprocess1{{i}}"
                          placeholder="ระบุรายการของรายได้" [(ngModel)]="item.title" (ngModelChange)="changeSaveDraft()"
                          name="textprocess1" required></textarea>
                      </td>

                      <td>
                        <input style="width: 180px;" type="text" class="form-control" placeholder="ระบุรายได้"
                          [(ngModel)]="item.tranx[0]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td>
                        <input style="width: 180px;" type="text" class="form-control" placeholder="ระบุรายได้"
                          [(ngModel)]="item.tranx[1]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td>
                        <input style="width: 180px;" type="text" class="form-control" placeholder="ระบุรายได้"
                          [(ngModel)]="item.tranx[2]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td>
                        <span class="delete-data" (click)="removeItem(1, i)">ลบข้อมูล</span>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="5"></td>
                      <td>
                        <button class="btn-create-data" (click)="addRow(1)">
                          <img src="assets/img/plus-icon.png" class="add-icon" alt="" />
                          เพิ่มข้อมูล
                        </button>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางค่าใช้จ่าย -->
                <table class="table table-sub">
                  <thead>
                    <tr>
                      <th style="width: 180px;">
                        <span>ค่าใช้จ่าย**</span>
                      </th>
                      <th colspan="4"></th>
                      <th style="width: 100px;">
                        <button class="btn-create-data" (click)="addRow(2)">
                          <img src="assets/img/plus-icon.png" class="add-icon" alt="" />
                          เพิ่มข้อมูล
                        </button>
                      </th>
                    </tr>
                  </thead>
                  <tbody cdkDropList (cdkDropListDropped)="dropOutcome($event)">
                    <tr cdkDrag *ngFor="
                        let item of stepEight['costBenefit'].outlay;
                        index as i
                      " class="heading-padding">
                      <td style="width: 180px;padding-right: 150px;"></td>
                      <td style="position: relative">
                        <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" style="width: 260px" type="text" id="textprocess2{{i}}"
                          placeholder="ระบุรายการของค่าใช้จ่าย" [(ngModel)]="item.title"
                          (ngModelChange)="changeSaveDraft()" name="textprocess2" required></textarea>
                      </td>

                      <td>
                        <input style="width: 180px" type="text" class="form-control" placeholder="ระบุค่าใช้จ่าย"
                          [(ngModel)]="item.tranx[0]" (ngModelChange)="changeSaveDraft()" />
                      </td>

                      <td>
                        <input style="width: 180px" type="text" class="form-control" placeholder="ระบุค่าใช้จ่าย"
                          [(ngModel)]="item.tranx[1]" (ngModelChange)="changeSaveDraft()" />
                      </td>

                      <td>
                        <input style="width: 180px" type="text" class="form-control" placeholder="ระบุค่าใช้จ่าย"
                          [(ngModel)]="item.tranx[2]" (ngModelChange)="changeSaveDraft()" />
                      </td>

                      <td>
                        <span class="delete-data" (click)="removeItem(2, i)">ลบข้อมูล</span>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="5"></td>
                      <td>
                        <button class="btn-create-data" (click)="addRow(2)">
                          <img src="assets/img/plus-icon.png" class="add-icon" alt="" />
                          เพิ่มข้อมูล
                        </button>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางกำไร -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th style="width: 170px;">
                        <span>กำไร</span>
                      </th>
                      <th colspan="4"></th>
                      <th style="width: 100px;"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td style="width: 140px"></td>
                      <td>
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" style="width: 260px" type="text" id="textprofit"
                          placeholder="ระบุรายการของกำไร" [(ngModel)]="stepEight['costBenefit'].profit.title"
                          (ngModelChange)="changeSaveDraft()" name="textprofit" required></textarea>
                      </td>

                      <td>
                        <input type="text" style="width: 180px" class="form-control" placeholder="ระบุกำไร"
                          [(ngModel)]="stepEight['costBenefit'].profit.tranx[0]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td>
                        <input type="text" style="width: 180px" class="form-control" placeholder="ระบุกำไร"
                          [(ngModel)]="stepEight['costBenefit'].profit.tranx[1]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td>
                        <input type="text" style="width: 180px" class="form-control" placeholder="ระบุกำไร"
                          [(ngModel)]="stepEight['costBenefit'].profit.tranx[2]" (ngModelChange)="changeSaveDraft()" />
                      </td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง ROI (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th style="width: 160px;">
                        <span>ROI (%)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td style="width: 170px;"></td>
                      <td colspan="5">
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text" id="textrou" placeholder="ระบุรายละเอียด"
                          [(ngModel)]="stepEight['costRoi']" (ngModelChange)="changeSaveDraft()" name="textrou"
                          required></textarea>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง RAROC (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th style="width: 160px;">
                        <span>RAROC (%)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td style="width: 170px"></td>
                      <td colspan="5">
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text" id="textroroc" placeholder="ระบุรายละเอียด"
                          [(ngModel)]="stepEight['costRaroc']" (ngModelChange)="changeSaveDraft()" name="textroroc"
                          required></textarea>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง RAROC (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th style="width: 170px;">
                        <span>Break Even Point (ปี)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td></td>
                      <td colspan="5">
                        <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text" id="textbreack" placeholder="ระบุรายละเอียด"
                          [(ngModel)]="stepEight['costBreakEventPoint']" (ngModelChange)="changeSaveDraft()"
                          name="textbreack" required></textarea>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0">
                <div class="box-note-text">
                  หมายเหตุ <br>
                  * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br>
                  ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี) โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
                </div>
                <div class="box-note-text">
                  หมายเหตุ (ต่อ) <br>
                  1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br>
                  2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template Feasibility
                </div>
                <br>
              </td>
            </tr> -->
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0" style="background-color: #FAFAFA; border-top: 0px ;">
                <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลสมมติฐานที่ใช้คำนวณ"
                  style="height: 261px;" [(ngModel)]="stepEight['hypothesis']">
                </textarea>
              </td>
            </tr> -->
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0">
                <p class="head-detal">วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง Outsource
                  (กรณีจ้าง Outsource)</p>
                <p class="sub-head-detail">กรณีธนาคารดำเนินการเอง</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีธนาคารดำเนินการเอง"
                  style="height: 261px;" [(ngModel)]="stepEight['costBenefitText']"></textarea>
                <p class="sub-head-detail">กรณีจ้าง Outsource</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีจ้าง Outsource"
                  style="height: 261px;" [(ngModel)]="stepEight['costBenefitOutsource']"></textarea>
              </td>
            </tr> -->
          </tbody>
        </table>
      </div>
      <div class="col-12">
        <div class="box-note-text">
          หมายเหตุ <br />
          * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br />
          ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี)
          โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
        </div>
        <div class="box-note-text">
          หมายเหตุ (ต่อ) <br />
          1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br />
          2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template
          Feasibility
        </div>
        <br />
      </div>
      <div class="col-12">
        <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
        <textarea class="form-control textarea-container" rows="enter" placeholder="เพิ่มข้อมูลสมมติฐานที่ใช้คำนวณ"
          style="height: 261px" [(ngModel)]="stepEight['hypothesis']" (ngModelChange)="changeSaveDraft()">
        </textarea>
      </div>
      <div class="col-12">
        <br />
      </div>
      <div class="col-12">
        <p class="head-detal">
          วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง
          Outsource (กรณีจ้าง Outsource)
        </p>
      </div>
      <div class="col-12">
        <p class="sub-head-detail">กรณีธนาคารดำเนินการเอง</p>
        <textarea class="form-control textarea-container" rows="enter" placeholder="เพิ่มข้อมูลกรณีธนาคารดำเนินการเอง"
          style="height: 261px" [(ngModel)]="stepEight['costBenefitText']" (ngModelChange)="changeSaveDraft()">
        </textarea>
      </div>
      <div class="col-12">
        <p class="sub-head-detail">กรณีจ้าง Outsource</p>
        <textarea class="form-control textarea-container" rows="enter" placeholder="เพิ่มข้อมูลกรณีจ้าง Outsource"
          style="height: 261px" [(ngModel)]="stepEight['costBenefitOutsource']" (ngModelChange)="changeSaveDraft()">
        </textarea>
        <br />
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal">Non-Financial</p>
    </div>
    <div class="mainText">
      <textarea
        style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
        (keyup)="autogrow()" rows="5" (click)="autogrow()" type="text" id="description"
        [(ngModel)]="stepEight.nonFinanceText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
        name="description" required></textarea>
      <div class="textarea-container">
        <!-- <div placeholder="ระบุรายละเอียด" contenteditable="true"
          [innerHTML]="this.textareaForm.get('nonFinanceText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="nonFinanceText"
          (ngModelChange)="changeSaveDraft($event)"></div> -->

        <!-- ===================================================== -->
        <div style="position: relative">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                  (click)="delete_image(1, i)" />
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{ stepEight['nonFinance'].file[i]['fileName'] }}"
                    title="{{ stepEight['nonFinance'].file[i]['fileName'] }}" class="photo"
                    (click)="image_click(1, i)" />
                </div>
              </div>

              <!-- <div class="non_image">
                <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                  (change)="getFileDetails(1, $event) ; changeSaveDraft()" [(ngModel)]="file2" style="width:50px" accept="image/*" />
                  <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div> -->
              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file2" accept=".jpg,.png" />
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add" /></label>
              </div>
            </div>
          </div>
          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1" accept=".jpg,.png" style="width: 526px" />
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px" />
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>
        </div>
        <!-- =================================================== -->
      </div>
    </div>

    <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="เพิ่มรายละเอียด Non-Financial " style="height: 261px;" [(ngModel)]="stepEight['nonFinanceText']"
          (ngModelChange)="changeSaveDraft()">
        </textarea> -->
  </div>

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="row">
      <div class="col-12">
        <div class="typeofcollateral">
          <p class="head-detal">อัปโหลดเอกสาร</p>
          <div class="dropzone">
            <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
              (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
            application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
            .jpg,.png" />
            <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px" />
            <a style="font-size: 18px; color: #00a6e6"
              for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
          </div>
        </div>
        <br />
      </div>

      <!-- <div class="row"> -->
      <div class="col-12 table_files">
        <table class="table-file" mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">
              {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
            </td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
  </div>

  <div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br />

    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next()">
          ถัดไป
        </button>
      </div>
    </div>
  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>

<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <div class="table-warpper">
    <div class="row">
      <div class="col-12">
        <p class="head-detal">Financial</p>
        <hr />
      </div>
      <div class="col-12">
        <table class="table-financial table">
          <thead>
            <tr>
              <th width="18%">Financial</th>
              <th width="18%">รายการ</th>
              <th width="18%" style="text-align: left;">
                <span>ปี พ.ศ. </span><span>{{ stepEight.year[0] }}</span>
              </th>
              <th width="18%" style="text-align: left;">
                <span>ปี พ.ศ. </span><span>{{ stepEight.year[1] }}</span>
              </th>
              <th width="18%" style="text-align: left;">
                <span>ปี พ.ศ. </span><span>{{ stepEight.year[2] }}</span>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางรายได้ -->
                <table class="table table-sub">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>รายได้*</span>
                      </th>
                      <th colspan="4"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="
                        let item of stepEight['costBenefit'].income;
                        index as i
                      " class="heading-padding">
                      <td></td>
                      <td style="position: relative; max-width: 20px;">
                        {{ item.title }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[0] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[1] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[2] }}
                      </td>
                    </tr>
                    <tr>
                      <td colspan="5"></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางค่าใช้จ่าย -->
                <table class="table table-sub">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>ค่าใช้จ่าย**</span>
                      </th>
                      <th colspan="4"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="
                        let item of stepEight['costBenefit'].outlay;
                        index as i
                      " class="heading-padding">
                      <td></td>
                      <td style="position: relative; max-width: 20px;">
                        {{ item.title }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[0] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[1] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ item.tranx[2] }}
                      </td>
                    </tr>
                    <tr>
                      <td colspan="5"></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตารางกำไร -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>กำไร</span>
                      </th>
                      <th colspan="4"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td></td>
                      <td style="position: relative; max-width: 20px;">
                        {{ stepEight["costBenefit"].profit.title }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ stepEight["costBenefit"].profit.tranx[0] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ stepEight["costBenefit"].profit.tranx[1] }}
                      </td>
                      <td style="
                          position: relative;
                          width: 20%;
                          text-align: left;
                        ">
                        {{ stepEight["costBenefit"].profit.tranx[2] }}
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง ROI (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>ROI (%)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td></td>
                      <td colspan="5">
                        {{ stepEight["costRoi"] }}
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง RAROC (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>RAROC (%)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td></td>
                      <td colspan="5">
                        {{ stepEight["costRaroc"] }}
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr>
              <td colspan="6" class="p-0">
                <!-- ตาราง RAROC (%) -->
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th width="20%">
                        <span>Break Even Point (ปี)</span>
                      </th>
                      <th colspan="5"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="heading-padding">
                      <td></td>
                      <td colspan="5">
                        {{ stepEight["costBreakEventPoint"] }}
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0">
                <div class="box-note-text">
                  หมายเหตุ <br>
                  * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br>
                  ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี) โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
                </div>
                <div class="box-note-text">
                  หมายเหตุ (ต่อ) <br>
                  1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br>
                  2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template Feasibility
                </div>
                <br>
              </td>
            </tr> -->
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0" style="background-color: #FAFAFA; border-top: 0px ;">
                <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลสมมติฐานที่ใช้คำนวณ"
                  style="height: 261px;" [(ngModel)]="stepEight['hypothesis']">
                </textarea>
              </td>
            </tr> -->
            <!-- <tr>
              <td colspan="6" class="p-0 bt-0">
                <p class="head-detal">วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง Outsource
                  (กรณีจ้าง Outsource)</p>
                <p class="sub-head-detail">กรณีธนาคารดำเนินการเอง</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีธนาคารดำเนินการเอง"
                  style="height: 261px;" [(ngModel)]="stepEight['costBenefitText']"></textarea>
                <p class="sub-head-detail">กรณีจ้าง Outsource</p>
                <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีจ้าง Outsource"
                  style="height: 261px;" [(ngModel)]="stepEight['costBenefitOutsource']"></textarea>
              </td>
            </tr> -->
          </tbody>
        </table>
      </div>
      <div class="col-12">
        <div class="box-note-text">
          หมายเหตุ <br />
          * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br />
          ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี)
          โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
        </div>
        <div class="box-note-text">
          หมายเหตุ (ต่อ) <br />
          1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br />
          2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template
          Feasibility
        </div>
        <br />
      </div>
      <div class="col-12">
        <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
        <hr style="margin-top: 0px; margin-bottom: 20px" />
        <div class="sub_body" style="font-size: 17px">
          {{ stepEight["hypothesis"] }}
        </div>
      </div>
      <div class="col-12">
        <br />
      </div>
      <div class="col-12">
        <p class="head-detal">
          วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง
          Outsource (กรณีจ้าง Outsource)
        </p>
      </div>
      <div class="col-12">
        <p class="sub-head-detail" style="font-size: 17px">
          กรณีธนาคารดำเนินการเอง
        </p>
        <hr style="margin-top: 0px; margin-bottom: 20px" />
        <div class="sub_body">
          {{ stepEight["costBenefitText"] }}
        </div>
      </div>
      <div class="col-12">
        <p class="sub-head-detail" style="font-size: 17px">
          กรณีจ้าง Outsource
        </p>
        <hr style="margin-top: 0px; margin-bottom: 20px" />
        <div class="sub_body">
          {{ stepEight["costBenefitOutsource"] }}
        </div>
        <br />
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal">Non-Financial</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 20px" />
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepEight["nonFinanceText"] }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1,i)"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" alt="{{ stepEight['nonFinance'].file[i]['fileName'] }}"
                    title="{{ stepEight['nonFinance'].file[i]['fileName'] }}" class="photo"
                    (click)="image_click(1, i)" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{ display: template_manage.pageShow === 'summary' ? 'none' : '' }">
    <div class="row">
      <!-- <div class="col-12">
        <div class="typeofcollateral">
          <p class="head-detal">อัปโหลดเอกสาร</p>
          <div class="dropzone">
            <input
              class="form-control"
              type="file"
              #fileDropRef
              id="fileDropRef"
              multiple
              (change)="onSelectFile($event)" -->
      <!-- /> -->
      <!-- accept="application/pdf" -->
      <!-- accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                  application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                  application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"  -->
      <!-- <img
              src="../../../../../assets/img/upload-icon.png"
              style="margin-bottom: 5px"
            />
            <a style="font-size: 18px; color: #00a6e6" for="fileDropRef"
              >&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a
            >
          </div>
        </div>
        <br />
      </div> -->

      <!-- <div class="row"> -->

      <div class="col-12 table_files" style="padding-top: 30px;">
        <table class="table-file" mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">
              {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
            </td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <!-- <a class="pipe">|</a> -->
              <!-- <a class="delete_file" (click)="delete_mutifile(element, index)"
                >ลบไฟล์</a
              > -->
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
  </div>

  <div [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br />

    <div class="row">
      <div class="col-12" [ngStyle]="{ display: validate === false ? 'none' : '' }">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next()">
          ถัดไป
        </button>
      </div>
    </div>
  </div>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal8" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
        title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" alt="{{ modalImagedetail[i].name }}" title="{{ modalImagedetail[i].name }}"
            [ngClass]="{
              'modal-image-gallery': i !== modalmainImageIndex,
              'modal-image-gallery-select': i === modalmainImageIndex
            }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------------------------------------------------------------------------------ -->

<div style="display: none">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal"> open </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style="background-color: white">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px; cursor: pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%; word-wrap: break-word">
        <a style="color: #2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color: #2e2d2d">
          -&nbsp;{{ item }}
        </div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <br>
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>